דוגמאות ל-Metrics API

הדף הזה רלוונטי ל-Apigee ול-Apigee Hybrid.

לעיון במסמכי התיעוד של Apigee Edge

במסמך הזה מובאות דוגמאות לשימוש ב-Apigee metrics API על סמך קריטריונים ספציפיים. זו לא רשימה מקיפה.

למידע נוסף:

בדוגמאות הבאות:

  • $TOKEN מוגדר לאסימון הגישה מסוג OAuth 2.0, כפי שמתואר במאמר קבלת אסימון גישה מסוג OAuth 2.0. מידע על האפשרויות curl שמופיעות בדוגמאות זמין במאמר שימוש ב-curl. תיאור של משתני הסביבה שבהם נעשה שימוש מופיע במאמר הגדרת משתני סביבה לבקשות Apigee API.
  • apiproxy הוא השם הפנימי (לא השם שמוצג) של proxy ל-API.
  • developer הוא מזהה המפתח הייחודי שנוצר על ידי Apigee, בתבנית org_name@@@unique_id.
  • developer_app היא האפליקציה למפתחים שרשומה ב-Apigee ושולחת קריאות ל-API.
  • api_product הוא השם של מוצר ה-API שמכיל את שרתי ה-proxy ל-API שמתבצעת אליהם קריאה. .

פקודות של API לניתוח נתונים

מספר הבקשות לפי proxy ל-API

בקשות לפי proxy ל-API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=sum(message_count)&timeRange=9/24/2019+00:00~10/25/2019+00:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן תגובה לפי proxy ל-API

זמן תגובה כולל ממוצע לפי proxy ל-API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=avg(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן התגובה הכולל המקסימלי לפי proxy ל-API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=max(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן התגובה הכולל המינימלי לפי proxy ל-API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=min(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן תגובה ממוצע של יעד לפי proxy ל-API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=avg(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן תגובה מקסימלי לטירגוט לפי proxy ל-API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=max(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן תגובה מינימלי לטירגוט לפי proxy ל-API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=min(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

שגיאות לפי proxy ל-API

שגיאות לפי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=sum(is_error)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל הבקשה/התגובה לפי API

גודל בקשה מקסימלי לפי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=max(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

גודל בקשה מינימלי לפי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=min(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

גודל בקשה ממוצע לפי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=avg(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

גודל התגובה המקסימלי לפי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=max(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

גודל התגובה המינימלי לפי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=min(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

גודל ממוצע של תגובה לפי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=avg(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן האחזור של בקשות ותגובות לפי API

זמן האחזור הממוצע לעיבוד תגובות לפי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=avg(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן האחזור המקסימלי לעיבוד תגובה לפי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=max(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן עיבוד מינימלי של תגובה לפי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=min(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן האחזור הממוצע לעיבוד בקשות לפי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=avg(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

חביון מקסימלי לעיבוד בקשות לפי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=max(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

חביון מינימלי של עיבוד בקשות לפי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/apiproxy?select=min(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

פקודות של ניתוח נתונים למפתחים

מספר האפליקציות, המשתמשים והבקשות לפי מפתח

מספר האפליקציות לפי מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=app_count&timeRange=9/24/2014%2000:00~10/25/2014%2000:00&timeUnit=day \

מספר משתמשי הקצה לפי מפתחים

curl https://apigee.googleapis.com/v1/organizations/<$ORG/environments/$ENV/stats/developer?select=user_count&timeRange=9/24/2014%2000:00~10/25/2014%2000:00&timeUnit=day \

בקשות של מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=sum(message_count)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן התגובה של המפתח

זמן תגובה כולל ממוצע לפי מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=avg(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן התגובה הכולל המקסימלי של המפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=max(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

הזמן המינימלי הכולל לתגובה של מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=min(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן תגובה ממוצע של מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=avg(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן תגובה מקסימלי מובטח על ידי מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=max(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן יעד מינימלי לתגובה של מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=min(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

שגיאות לפי מפתח

שגיאות של מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=sum(is_error)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

גודל הבקשה/התגובה לפי מפתח

גודל בקשה מקסימלי של מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=max(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

גודל הבקשה המינימלי לפי מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=min(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

גודל ממוצע של בקשות לפי מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=avg(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

גודל תשובה מקסימלי של מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=max(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

גודל התגובה המינימלי של מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=min(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

גודל התגובה הממוצע לפי מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=avg(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן האחזור של בקשה/תגובה לפי מפתח

זמן אחזור ממוצע של עיבוד תגובות לפי מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=avg(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן האחזור המקסימלי לעיבוד התגובה על ידי מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=max(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן האחזור המינימלי לעיבוד תשובות על ידי מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=min(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן האחזור הממוצע של עיבוד הבקשות לפי מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=avg(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן האחזור המינימלי לעיבוד בקשות לפי מפתחים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer?select=min(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

פקודות לניתוח של נתוני אפליקציות

מספר המשתמשים או הבקשות לפי אפליקציה

מספר המשתמשים לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=user_count&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

בקשות לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=sum(message_count)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן תגובה לפי אפליקציה

זמן תגובה כולל ממוצע לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=avg(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן התגובה הכולל המקסימלי לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=max(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן התגובה הכולל המינימלי לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=min(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן תגובה ממוצע של היעד לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=avg(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן היעד המקסימלי לתגובה לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=max(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

זמן יעד מינימלי לתגובה לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=min(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \

שגיאות לפי אפליקציה

שגיאות לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=sum(is_error)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל הבקשה/התגובה לפי אפליקציה

גודל בקשה מקסימלי לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=max(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל הבקשה המינימלי לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=min(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל בקשה ממוצע לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=avg(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל התשובה המקסימלי לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=max(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל תגובה מינימלי לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=min(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל תגובה ממוצע לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=avg(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן האחזור של בקשות ותגובות לפי אפליקציה

זמן אחזור ממוצע של עיבוד תגובות לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=avg(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן אחזור מקסימלי לעיבוד תגובות לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=max(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן אחזור מינימלי לעיבוד תגובות לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=min(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן אחזור ממוצע של עיבוד בקשות לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=avg(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן האחזור המקסימלי של עיבוד הבקשות לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=max(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן האחזור המינימלי לעיבוד בקשות לפי אפליקציות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/developer_app?select=min(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

פקודות לניתוח נתונים של מוצרי API

מספר האפליקציות, המפתחים או הבקשות לפי מוצר API

מספר האפליקציות לפי מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=app_count&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

מספר המפתחים לפי מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=developer_count&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

בקשות לפי מוצרים

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=sum(message_count)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן תגובה לפי מוצר API

זמן תגובה כולל ממוצע של מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=avg(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן התגובה הכולל המקסימלי של מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=max(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

מוצרי API עם זמן תגובה כולל מינימלי

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=min(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן תגובה ממוצע לטירגוט מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=avg(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

מוצרי API עם זמן תגובה מקסימלי לטירגוט

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=max(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

מוצרי API עם זמן תגובה מינימלי לטירגוט

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=min(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

שגיאות לפי מוצר API

שגיאות לפי מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=sum(is_error)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל הבקשה/התגובה לפי מוצר API

גודל בקשה מקסימלי לפי מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=max(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל בקשה מינימלי לפי מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=min(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל בקשה ממוצע לפי מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=avg(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל תגובה מקסימלי לפי מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=max(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל תגובה מינימלי לפי מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=min(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל תגובה ממוצע לפי מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=avg(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן האחזור של בקשה/תגובה לפי מוצר API

זמן האחזור הממוצע לעיבוד תגובות לפי מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=avg(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

השהייה המקסימלית של עיבוד התגובה לפי מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=max(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

חביון מינימלי של עיבוד תגובה לפי מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=min(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן האחזור הממוצע לעיבוד בקשות לפי מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=avg(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן האחזור המינימלי לעיבוד בקשות לפי מוצרי API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/api_product?select=min(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

פקודות לניתוח נתוני משאבים ב-API

מספר הבקשות לפי משאב API

בקשות לפי משאב API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=sum(message_count)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן תגובה לפי משאב API

זמן תגובה כולל ממוצע לפי משאב API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=avg(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן התגובה הכולל המקסימלי לפי API-Resource

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=max(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן התגובה הכולל המינימלי לפי API-Resource

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=min(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן תגובה ממוצע של יעד לפי משאב API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=avg(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן תגובה מקסימלי לטירגוט לפי משאב API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=max(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן תגובה מינימלי לטירגוט לפי משאב API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=min(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

שגיאות לפי משאב API

שגיאות לפי משאב API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=sum(is_error)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל הבקשה/התגובה לפי משאב API

גודל בקשה מקסימלי לפי משאב API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=max(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל בקשה מינימלי לפי API-Resource

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=min(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל ממוצע של בקשה לפי API-Resource

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=avg(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל תגובה מקסימלי לפי משאב API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=max(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל התגובה המינימלי לפי API-Resource

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=min(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל תגובה ממוצע לפי משאב API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=avg(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן האחזור של בקשות ותגובות לפי משאב API

זמן האחזור הממוצע לעיבוד תגובה לפי API-Resource

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=avg(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן האחזור המקסימלי לעיבוד התגובה לפי משאב API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=max(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

חביון מינימלי של עיבוד תגובות לפי API-Resource

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=min(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן האחזור הממוצע לעיבוד בקשות לפי משאב API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=avg(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן האחזור המקסימלי לעיבוד בקשות לפי משאב API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=max(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן האחזור המינימלי לעיבוד הבקשה לפי משאב API

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/request_path?select=min(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

פקודות ניתוח נתונים ב-API ברמת התוכנית

מספר הבקשות

בקשות לאורך זמן

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats?select=sum(message_count)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

מועד התשובה

זמן התגובה הכולל הממוצע

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=avg(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן התגובה הכולל המקסימלי

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=max(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן התגובה הכולל המינימלי

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=min(total_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן תגובה ממוצע ליעד

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=avg(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן תגובה מקסימלי

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=max(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן תגובה מינימלי

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=min(target_response_time)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

שגיאות

שגיאות לאורך זמן

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=sum(is_error)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל הבקשה/התגובה

גודל בקשה מקסימלי לאורך זמן

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=min(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל הבקשה המינימלי לאורך זמן

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=min(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל ממוצע של בקשה לאורך זמן

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=avg(request_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל התגובה המקסימלי לאורך זמן

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=min(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל התגובה המינימלי לאורך זמן

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=min(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

גודל תגובה ממוצע לאורך זמן

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=avg(response_size)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן האחזור של הבקשה/התגובה

זמן אחזור ממוצע של עיבוד תגובות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=avg(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן האחזור המקסימלי של עיבוד התגובה

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=max(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן אחזור מינימלי לעיבוד תגובה

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=min(response_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן אחזור ממוצע של עיבוד בקשות

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=avg(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן האחזור המקסימלי של עיבוד הבקשה

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=max(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"

זמן האחזור המינימלי של עיבוד הבקשה

curl https://apigee.googleapis.com/v1/organizations/$ORG/environments/$ENV/stats/?select=min(request_processing_latency)&timeRange=9/24/2018%2000:00~10/25/2018%2000:00&timeUnit=day \
  -H "Authorization: Bearer $TOKEN"